# GimpUi.SizeEntry.set_size

    @accepts(GimpUi.SizeEntry, int, float, float)
    @returns(none)
    def set_size(self, field, lower, upper):
        # Python wrapper for gimp_size_entry_set_size()

Sets the pixel values for field # field of the GimpUi.SizeEntry which will be treated as 0% and 100%.

These values will be used if you specified @menu_show_percent as True in GimpUi.SizeEntry.new and the user has selected GIMP_UNIT_PERCENT in the GimpUi.SizeEntry's GimpUi.UnitComboBox.

This function does nothing if the GimpUi.SizeEntryUpdatePolicy specified in GimpUi.SizeEntry.new doesn't equal to GIMP_SIZE_ENTRY_UPDATE_SIZE.

self

  The sizeentry you want to set a size for.

field

  The index of the field you want to set the size for.

lower

  The reference value which will be treated as 0%.

upper

  The reference value which will be treated as 100%.